about summary refs log tree commit diff
path: root/corepkgs/fetchurl/fetchurl.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2003-07-21T20·07+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2003-07-21T20·07+0000
commit249988a787d26046bf7b389594ff25029229e3d9 (patch)
tree6d44fafeb9979c0dee57706d8d0dcb64d9e13bc8 /corepkgs/fetchurl/fetchurl.sh
parent49231fbe419d37717b0d951377fbfc9bf445dd55 (diff)
* Allow the output/expression id to be forced to a certain
  value; this potentially dangerous feature enables better 
  sharing for those paths for which the content is known in 
  advance (e.g., because a content hash is given).
* Fast builds: if we can expand all output paths of a derive 
  expression, we don't have to build.

Diffstat (limited to 'corepkgs/fetchurl/fetchurl.sh')
-rw-r--r--corepkgs/fetchurl/fetchurl.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/corepkgs/fetchurl/fetchurl.sh b/corepkgs/fetchurl/fetchurl.sh
index 1479e898b936..7b6243974d3f 100644
--- a/corepkgs/fetchurl/fetchurl.sh
+++ b/corepkgs/fetchurl/fetchurl.sh
@@ -4,9 +4,7 @@ echo "downloading $url into $out..."
 wget "$url" -O "$out" || exit 1
 
 actual=$(md5sum -b $out | cut -c1-32)
-if ! test "$md5" == "ignore"; then
-    if ! test "$actual" == "$md5"; then
-	echo "hash is $actual, expected $md5"
-	exit 1
-    fi
+if ! test "$actual" == "$md5"; then
+    echo "hash is $actual, expected $md5"
+    exit 1
 fi